# ApplicationBuild

All application build endpoints

## GET /v3/applicationBuild/storage/types

> Get The build provisioning storage types for storing application build file

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationBuild","description":"All application build endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"BuildProvisioningStorageTypes":{"type":"object","required":["id","description"],"properties":{"id":{"type":"integer","format":"integer","description":"ID of the build provisioning storage type","readOnly":true},"description":{"type":"string","format":"","description":"Description of the  build provisioning storage type","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationBuild/storage/types":{"get":{"tags":["ApplicationBuild"],"summary":"Get The build provisioning storage types for storing application build file","operationId":"getApplicationBuildStorageTypes","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BuildProvisioningStorageTypes"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/applicationBuild

> Get all your application builds

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationBuild","description":"All application build endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationBuild":{"type":"object","required":["id","name","applicationId","type","executable","osId","createdAt","runAsRoot"],"properties":{"id":{"type":"string","format":"","description":"Application build ID","readOnly":true},"name":{"type":"string","format":"","description":"The name of the application build"},"applicationId":{"type":"string","format":"","description":"The ID of the application. May be null if buildProvisioningStorageType is LegacyFTP","nullable":true},"hostCapacityTemplateId":{"type":"string","format":"","description":"The ID of the host capacity template"},"type":{"type":"integer","format":"integer","description":"The application build, list of types can be found in: [GET /application/type](#/Application/get_v3_application_type)","readOnly":true},"executable":{"type":"string","format":"","description":"The executable name including the path originating from the root directory of the software structure"},"startupParameters":{"type":"string","format":"","description":"The startup parameters required for an executable"},"instanceDoesReadyCallback":{"type":"integer","format":"integer","description":"Set to 1 if a deployed application instance will inform the platform it's done with initializing and is ready to\naccept players. Defaults to 0 if not set, which means an instance's status will go directly to ONLINE (4) after starting"},"installId":{"type":"integer","format":"integer","description":"ID of the application install (legacy FTP, will be removed, may not be updated)","deprecated":true},"osId":{"type":"integer","format":"integer","description":"ID of the operating system, list of operating systems can be found in: [GET\n/v3/operatingsystem](all#/OperatingSystem/get_v3_operatingsystem)"},"stopMethod":{"type":"integer","format":"integer","description":"The stop method that will be used on restart or destroy of an application instance. The default is taken from the value of\n[GET /v3/application/stopMethod](game-publisher#/Application/getApplicationStopMethods) - any value submitted here overrides that Application default","nullable":true},"stopTimeout":{"type":"integer","format":"integer","description":"The timeout that will be used on restart or destroy of an application instance. The default is taken from the value of\n`Application.stopTimeout` - any value submitted here overrides that Application default","nullable":true},"createdAt":{"type":"integer","format":"integer","description":"When the application build was created (unix timestamp)","readOnly":true},"label":{"type":"array","items":{"$ref":"#/components/schemas/Label"},"description":"Custom key/value pairs that can be used for application build selection / identification"},"applicationBuildFile":{"allOf":[{"$ref":"#/components/schemas/ApplicationBuildFile"}],"description":"The application build file to be used for the application instance","nullable":true},"buildProvisioningStorageType":{"type":"integer","format":"integer","description":"Type of storage being used [GET\n/v3/buildProvisioning/storage/registration/types](#/BuildProvisioning/getBuildProvisioningStorageRegistrationTypes). Default: 0"},"runAsRoot":{"type":"integer","format":"integer","description":"Controls whether to run this build as root or as a non-privileged user.\nWarning: This currently only works for builds deployed onto a Linux operating system. Windows builds will always run as administrator\n* 0: run as non-privileged user\n* 1: run as root user (default)"}},"additionalProperties":false},"Label":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","format":"","description":"Label key, only hyphens (-), underscores (_), lowercase characters and numbers are allowed. Keys must start with a lowercase character."},"value":{"type":"string","format":"","description":"Label value, maximum length is 150 characters"}},"additionalProperties":false},"ApplicationBuildFile":{"type":"object","required":["id","buildProvisioningFileId","buildProvisioningRegistrationId","fileName","fileSize","version","md5CheckSum","createdAt","changedAt","availableOnCDN"],"properties":{"id":{"type":"string","format":"","description":"Application build file ID","readOnly":true},"buildProvisioningFileId":{"type":"string","format":"","description":"ID of the uploaded file to the i3D.net storage. Cannot be updated once set"},"buildProvisioningRegistrationId":{"type":"string","format":"","description":"ID of the build provisioning registration. Cannot be updated once set"},"fileName":{"type":"string","format":"","description":"Name of the file"},"fileSize":{"type":"integer","format":"integer","description":"Size of the file","readOnly":true},"version":{"type":"string","format":"","description":"Version of the file"},"md5CheckSum":{"type":"string","format":"","description":"MD5 checksum of the file","readOnly":true},"path":{"type":"string","format":"","description":"location of the file"},"domain":{"type":"string","format":"","description":"The domain where the files are stored"},"dockerRepository":{"type":"string","format":"","description":"The docker repository that needs to be used","deprecated":true},"createdAt":{"type":"integer","format":"integer","description":"UNIX timestamp when the application build file has been created","readOnly":true},"changedAt":{"type":"integer","format":"integer","description":"UNIX timestamp when the application build file last has been changed","readOnly":true},"availableOnCDN":{"type":"integer","format":"integer","description":"the file is on the CDN when is 1.","readOnly":true}},"additionalProperties":false,"nullable":true},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationBuild":{"get":{"tags":["ApplicationBuild"],"summary":"Get all your application builds","operationId":"getApplicationBuilds","parameters":[{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationBuild"}}}}},"403":{"description":"Invalid credentials"},"422":{"description":"Labels error"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/applicationBuild

> Create a new application build

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationBuild","description":"All application build endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationBuild":{"type":"object","required":["id","name","applicationId","type","executable","osId","createdAt","runAsRoot"],"properties":{"id":{"type":"string","format":"","description":"Application build ID","readOnly":true},"name":{"type":"string","format":"","description":"The name of the application build"},"applicationId":{"type":"string","format":"","description":"The ID of the application. May be null if buildProvisioningStorageType is LegacyFTP","nullable":true},"hostCapacityTemplateId":{"type":"string","format":"","description":"The ID of the host capacity template"},"type":{"type":"integer","format":"integer","description":"The application build, list of types can be found in: [GET /application/type](#/Application/get_v3_application_type)","readOnly":true},"executable":{"type":"string","format":"","description":"The executable name including the path originating from the root directory of the software structure"},"startupParameters":{"type":"string","format":"","description":"The startup parameters required for an executable"},"instanceDoesReadyCallback":{"type":"integer","format":"integer","description":"Set to 1 if a deployed application instance will inform the platform it's done with initializing and is ready to\naccept players. Defaults to 0 if not set, which means an instance's status will go directly to ONLINE (4) after starting"},"installId":{"type":"integer","format":"integer","description":"ID of the application install (legacy FTP, will be removed, may not be updated)","deprecated":true},"osId":{"type":"integer","format":"integer","description":"ID of the operating system, list of operating systems can be found in: [GET\n/v3/operatingsystem](all#/OperatingSystem/get_v3_operatingsystem)"},"stopMethod":{"type":"integer","format":"integer","description":"The stop method that will be used on restart or destroy of an application instance. The default is taken from the value of\n[GET /v3/application/stopMethod](game-publisher#/Application/getApplicationStopMethods) - any value submitted here overrides that Application default","nullable":true},"stopTimeout":{"type":"integer","format":"integer","description":"The timeout that will be used on restart or destroy of an application instance. The default is taken from the value of\n`Application.stopTimeout` - any value submitted here overrides that Application default","nullable":true},"createdAt":{"type":"integer","format":"integer","description":"When the application build was created (unix timestamp)","readOnly":true},"label":{"type":"array","items":{"$ref":"#/components/schemas/Label"},"description":"Custom key/value pairs that can be used for application build selection / identification"},"applicationBuildFile":{"allOf":[{"$ref":"#/components/schemas/ApplicationBuildFile"}],"description":"The application build file to be used for the application instance","nullable":true},"buildProvisioningStorageType":{"type":"integer","format":"integer","description":"Type of storage being used [GET\n/v3/buildProvisioning/storage/registration/types](#/BuildProvisioning/getBuildProvisioningStorageRegistrationTypes). Default: 0"},"runAsRoot":{"type":"integer","format":"integer","description":"Controls whether to run this build as root or as a non-privileged user.\nWarning: This currently only works for builds deployed onto a Linux operating system. Windows builds will always run as administrator\n* 0: run as non-privileged user\n* 1: run as root user (default)"}},"additionalProperties":false},"Label":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","format":"","description":"Label key, only hyphens (-), underscores (_), lowercase characters and numbers are allowed. Keys must start with a lowercase character."},"value":{"type":"string","format":"","description":"Label value, maximum length is 150 characters"}},"additionalProperties":false},"ApplicationBuildFile":{"type":"object","required":["id","buildProvisioningFileId","buildProvisioningRegistrationId","fileName","fileSize","version","md5CheckSum","createdAt","changedAt","availableOnCDN"],"properties":{"id":{"type":"string","format":"","description":"Application build file ID","readOnly":true},"buildProvisioningFileId":{"type":"string","format":"","description":"ID of the uploaded file to the i3D.net storage. Cannot be updated once set"},"buildProvisioningRegistrationId":{"type":"string","format":"","description":"ID of the build provisioning registration. Cannot be updated once set"},"fileName":{"type":"string","format":"","description":"Name of the file"},"fileSize":{"type":"integer","format":"integer","description":"Size of the file","readOnly":true},"version":{"type":"string","format":"","description":"Version of the file"},"md5CheckSum":{"type":"string","format":"","description":"MD5 checksum of the file","readOnly":true},"path":{"type":"string","format":"","description":"location of the file"},"domain":{"type":"string","format":"","description":"The domain where the files are stored"},"dockerRepository":{"type":"string","format":"","description":"The docker repository that needs to be used","deprecated":true},"createdAt":{"type":"integer","format":"integer","description":"UNIX timestamp when the application build file has been created","readOnly":true},"changedAt":{"type":"integer","format":"integer","description":"UNIX timestamp when the application build file last has been changed","readOnly":true},"availableOnCDN":{"type":"integer","format":"integer","description":"the file is on the CDN when is 1.","readOnly":true}},"additionalProperties":false,"nullable":true},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationBuild":{"post":{"tags":["ApplicationBuild"],"summary":"Create a new application build","operationId":"createApplicationBuild","requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApplicationBuild"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationBuild"}}}}},"403":{"description":"Invalid credentials"},"409":{"description":"Conflict"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/applicationBuild/{applicationBuildId}

> Get a specific application build

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationBuild","description":"All application build endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationBuild":{"type":"object","required":["id","name","applicationId","type","executable","osId","createdAt","runAsRoot"],"properties":{"id":{"type":"string","format":"","description":"Application build ID","readOnly":true},"name":{"type":"string","format":"","description":"The name of the application build"},"applicationId":{"type":"string","format":"","description":"The ID of the application. May be null if buildProvisioningStorageType is LegacyFTP","nullable":true},"hostCapacityTemplateId":{"type":"string","format":"","description":"The ID of the host capacity template"},"type":{"type":"integer","format":"integer","description":"The application build, list of types can be found in: [GET /application/type](#/Application/get_v3_application_type)","readOnly":true},"executable":{"type":"string","format":"","description":"The executable name including the path originating from the root directory of the software structure"},"startupParameters":{"type":"string","format":"","description":"The startup parameters required for an executable"},"instanceDoesReadyCallback":{"type":"integer","format":"integer","description":"Set to 1 if a deployed application instance will inform the platform it's done with initializing and is ready to\naccept players. Defaults to 0 if not set, which means an instance's status will go directly to ONLINE (4) after starting"},"installId":{"type":"integer","format":"integer","description":"ID of the application install (legacy FTP, will be removed, may not be updated)","deprecated":true},"osId":{"type":"integer","format":"integer","description":"ID of the operating system, list of operating systems can be found in: [GET\n/v3/operatingsystem](all#/OperatingSystem/get_v3_operatingsystem)"},"stopMethod":{"type":"integer","format":"integer","description":"The stop method that will be used on restart or destroy of an application instance. The default is taken from the value of\n[GET /v3/application/stopMethod](game-publisher#/Application/getApplicationStopMethods) - any value submitted here overrides that Application default","nullable":true},"stopTimeout":{"type":"integer","format":"integer","description":"The timeout that will be used on restart or destroy of an application instance. The default is taken from the value of\n`Application.stopTimeout` - any value submitted here overrides that Application default","nullable":true},"createdAt":{"type":"integer","format":"integer","description":"When the application build was created (unix timestamp)","readOnly":true},"label":{"type":"array","items":{"$ref":"#/components/schemas/Label"},"description":"Custom key/value pairs that can be used for application build selection / identification"},"applicationBuildFile":{"allOf":[{"$ref":"#/components/schemas/ApplicationBuildFile"}],"description":"The application build file to be used for the application instance","nullable":true},"buildProvisioningStorageType":{"type":"integer","format":"integer","description":"Type of storage being used [GET\n/v3/buildProvisioning/storage/registration/types](#/BuildProvisioning/getBuildProvisioningStorageRegistrationTypes). Default: 0"},"runAsRoot":{"type":"integer","format":"integer","description":"Controls whether to run this build as root or as a non-privileged user.\nWarning: This currently only works for builds deployed onto a Linux operating system. Windows builds will always run as administrator\n* 0: run as non-privileged user\n* 1: run as root user (default)"}},"additionalProperties":false},"Label":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","format":"","description":"Label key, only hyphens (-), underscores (_), lowercase characters and numbers are allowed. Keys must start with a lowercase character."},"value":{"type":"string","format":"","description":"Label value, maximum length is 150 characters"}},"additionalProperties":false},"ApplicationBuildFile":{"type":"object","required":["id","buildProvisioningFileId","buildProvisioningRegistrationId","fileName","fileSize","version","md5CheckSum","createdAt","changedAt","availableOnCDN"],"properties":{"id":{"type":"string","format":"","description":"Application build file ID","readOnly":true},"buildProvisioningFileId":{"type":"string","format":"","description":"ID of the uploaded file to the i3D.net storage. Cannot be updated once set"},"buildProvisioningRegistrationId":{"type":"string","format":"","description":"ID of the build provisioning registration. Cannot be updated once set"},"fileName":{"type":"string","format":"","description":"Name of the file"},"fileSize":{"type":"integer","format":"integer","description":"Size of the file","readOnly":true},"version":{"type":"string","format":"","description":"Version of the file"},"md5CheckSum":{"type":"string","format":"","description":"MD5 checksum of the file","readOnly":true},"path":{"type":"string","format":"","description":"location of the file"},"domain":{"type":"string","format":"","description":"The domain where the files are stored"},"dockerRepository":{"type":"string","format":"","description":"The docker repository that needs to be used","deprecated":true},"createdAt":{"type":"integer","format":"integer","description":"UNIX timestamp when the application build file has been created","readOnly":true},"changedAt":{"type":"integer","format":"integer","description":"UNIX timestamp when the application build file last has been changed","readOnly":true},"availableOnCDN":{"type":"integer","format":"integer","description":"the file is on the CDN when is 1.","readOnly":true}},"additionalProperties":false,"nullable":true},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationBuild/{applicationBuildId}":{"get":{"tags":["ApplicationBuild"],"summary":"Get a specific application build","operationId":"getApplicationBuild","parameters":[{"name":"applicationBuildId","in":"path","description":"The Id of the application build","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationBuild"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid applicationBuildId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/applicationBuild/{applicationBuildId}

> Update the given application build

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationBuild","description":"All application build endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationBuild":{"type":"object","required":["id","name","applicationId","type","executable","osId","createdAt","runAsRoot"],"properties":{"id":{"type":"string","format":"","description":"Application build ID","readOnly":true},"name":{"type":"string","format":"","description":"The name of the application build"},"applicationId":{"type":"string","format":"","description":"The ID of the application. May be null if buildProvisioningStorageType is LegacyFTP","nullable":true},"hostCapacityTemplateId":{"type":"string","format":"","description":"The ID of the host capacity template"},"type":{"type":"integer","format":"integer","description":"The application build, list of types can be found in: [GET /application/type](#/Application/get_v3_application_type)","readOnly":true},"executable":{"type":"string","format":"","description":"The executable name including the path originating from the root directory of the software structure"},"startupParameters":{"type":"string","format":"","description":"The startup parameters required for an executable"},"instanceDoesReadyCallback":{"type":"integer","format":"integer","description":"Set to 1 if a deployed application instance will inform the platform it's done with initializing and is ready to\naccept players. Defaults to 0 if not set, which means an instance's status will go directly to ONLINE (4) after starting"},"installId":{"type":"integer","format":"integer","description":"ID of the application install (legacy FTP, will be removed, may not be updated)","deprecated":true},"osId":{"type":"integer","format":"integer","description":"ID of the operating system, list of operating systems can be found in: [GET\n/v3/operatingsystem](all#/OperatingSystem/get_v3_operatingsystem)"},"stopMethod":{"type":"integer","format":"integer","description":"The stop method that will be used on restart or destroy of an application instance. The default is taken from the value of\n[GET /v3/application/stopMethod](game-publisher#/Application/getApplicationStopMethods) - any value submitted here overrides that Application default","nullable":true},"stopTimeout":{"type":"integer","format":"integer","description":"The timeout that will be used on restart or destroy of an application instance. The default is taken from the value of\n`Application.stopTimeout` - any value submitted here overrides that Application default","nullable":true},"createdAt":{"type":"integer","format":"integer","description":"When the application build was created (unix timestamp)","readOnly":true},"label":{"type":"array","items":{"$ref":"#/components/schemas/Label"},"description":"Custom key/value pairs that can be used for application build selection / identification"},"applicationBuildFile":{"allOf":[{"$ref":"#/components/schemas/ApplicationBuildFile"}],"description":"The application build file to be used for the application instance","nullable":true},"buildProvisioningStorageType":{"type":"integer","format":"integer","description":"Type of storage being used [GET\n/v3/buildProvisioning/storage/registration/types](#/BuildProvisioning/getBuildProvisioningStorageRegistrationTypes). Default: 0"},"runAsRoot":{"type":"integer","format":"integer","description":"Controls whether to run this build as root or as a non-privileged user.\nWarning: This currently only works for builds deployed onto a Linux operating system. Windows builds will always run as administrator\n* 0: run as non-privileged user\n* 1: run as root user (default)"}},"additionalProperties":false},"Label":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","format":"","description":"Label key, only hyphens (-), underscores (_), lowercase characters and numbers are allowed. Keys must start with a lowercase character."},"value":{"type":"string","format":"","description":"Label value, maximum length is 150 characters"}},"additionalProperties":false},"ApplicationBuildFile":{"type":"object","required":["id","buildProvisioningFileId","buildProvisioningRegistrationId","fileName","fileSize","version","md5CheckSum","createdAt","changedAt","availableOnCDN"],"properties":{"id":{"type":"string","format":"","description":"Application build file ID","readOnly":true},"buildProvisioningFileId":{"type":"string","format":"","description":"ID of the uploaded file to the i3D.net storage. Cannot be updated once set"},"buildProvisioningRegistrationId":{"type":"string","format":"","description":"ID of the build provisioning registration. Cannot be updated once set"},"fileName":{"type":"string","format":"","description":"Name of the file"},"fileSize":{"type":"integer","format":"integer","description":"Size of the file","readOnly":true},"version":{"type":"string","format":"","description":"Version of the file"},"md5CheckSum":{"type":"string","format":"","description":"MD5 checksum of the file","readOnly":true},"path":{"type":"string","format":"","description":"location of the file"},"domain":{"type":"string","format":"","description":"The domain where the files are stored"},"dockerRepository":{"type":"string","format":"","description":"The docker repository that needs to be used","deprecated":true},"createdAt":{"type":"integer","format":"integer","description":"UNIX timestamp when the application build file has been created","readOnly":true},"changedAt":{"type":"integer","format":"integer","description":"UNIX timestamp when the application build file last has been changed","readOnly":true},"availableOnCDN":{"type":"integer","format":"integer","description":"the file is on the CDN when is 1.","readOnly":true}},"additionalProperties":false,"nullable":true},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationBuild/{applicationBuildId}":{"put":{"tags":["ApplicationBuild"],"summary":"Update the given application build","operationId":"updateApplicationBuild","parameters":[{"name":"applicationBuildId","in":"path","description":"The Id of the application build","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApplicationBuild"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationBuild"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid applicationBuildId"},"409":{"description":"Conflict"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /v3/applicationBuild/{applicationBuildId}

> Delete given application build

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationBuild","description":"All application build endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationBuild/{applicationBuildId}":{"delete":{"tags":["ApplicationBuild"],"summary":"Delete given application build","operationId":"deleteApplicationBuild","parameters":[{"name":"applicationBuildId","in":"path","description":"The Id of the application build","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid applicationBuildId"},"409":{"description":"applicationBuildId is in use"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/applicationBuild/{applicationBuildId}/deploymentEnvironment

> Get a list of deployment environments for a given application build Id

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationBuild","description":"All application build endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"DeploymentEnvironment":{"type":"object","required":["id","name","createdAt"],"properties":{"id":{"type":"string","format":"","description":"Deployment environment ID","readOnly":true},"name":{"type":"string","format":"","description":"The public name of your deployment environment"},"createdAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationBuild/{applicationBuildId}/deploymentEnvironment":{"get":{"tags":["ApplicationBuild"],"summary":"Get a list of deployment environments for a given application build Id","operationId":"getApplicationBuildDeploymentEnvironments","parameters":[{"name":"applicationBuildId","in":"path","description":"The ID of the application build","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DeploymentEnvironment"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid applicationBuildId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/applicationBuild/{applicationBuildId}/fleet

> Get a list of fleets for a given application build Id

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationBuild","description":"All application build endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Fleet":{"type":"object","required":["id","name","deploymentEnvironmentId","operationalStatus","isGameLift"],"properties":{"id":{"type":"string","format":"","description":"Fleet ID","readOnly":true},"name":{"type":"string","format":"","description":"The name of the fleet"},"deploymentEnvironmentId":{"type":"string","format":"","description":"Deployment environment ID to which the fleet is assigned"},"deploymentProfileId":{"type":"string","format":"","description":"The `DeploymentProfileTemplate`'s ID, used for scaling, that is attached to this `Fleet`"},"gameDeploymentTemplateId":{"type":"string","format":"","description":"The `GameDeploymentTemplate`'s ID that is attached to this `Fleet`"},"utilityDeploymentTemplateId":{"type":"string","format":"","description":"The `UtilityDeploymentTemplate`'s ID that is attached to this `Fleet`"},"dependencyDeploymentTemplateId":{"type":"string","format":"","description":"The `DependencyDeploymentTemplate`'s ID that is attached to this `Fleet`"},"hostCapacityTemplateId":{"type":"string","format":"","description":"The `HostCapacityTemplate`'s ID that is attached to this `Fleet`"},"operationalStatus":{"type":"integer","format":"integer","description":"0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)","readOnly":true},"isGameLift":{"type":"boolean","description":"When it is active it cannot be disabled anymore"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationBuild/{applicationBuildId}/fleet":{"get":{"tags":["ApplicationBuild"],"summary":"Get a list of fleets for a given application build Id","operationId":"getApplicationBuildFleets","parameters":[{"name":"applicationBuildId","in":"path","description":"The ID of the application build","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Fleet"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid applicationBuildId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/applicationBuild/{applicationBuildId}/deploymentTemplate

> Get a list of deployment templates for a given application build Id

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationBuild","description":"All application build endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"GameDeploymentTemplate":{"type":"object","required":["id","fleetIds","name","inUse","createdAt","gameDeploymentTemplateBuild"],"properties":{"id":{"type":"string","format":"","description":"Game deployment template ID","readOnly":true},"fleetIds":{"type":"array","items":{"type":"string","format":""},"description":"IDs of the fleets that use this template","readOnly":true},"name":{"type":"string","format":"","description":"The public name of your game deployment template"},"inUse":{"type":"integer","format":"integer","description":"Indicates whether this game deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true},"gameDeploymentTemplateBuild":{"type":"array","items":{"$ref":"#/components/schemas/GameDeploymentTemplateBuild"},"description":"Application build assigned to the template (can only be one build)"}},"additionalProperties":false},"GameDeploymentTemplateBuild":{"type":"object","required":["applicationBuildId"],"properties":{"applicationBuildId":{"type":"string","format":"","description":"The Application Build ID"}},"additionalProperties":false},"UtilityDeploymentTemplate":{"type":"object","required":["id","fleetIds","name","inUse","createdAt","utilityDeploymentTemplateBuild"],"properties":{"id":{"type":"string","format":"","description":"Utility deployment template ID","readOnly":true},"fleetIds":{"type":"array","items":{"type":"string","format":""},"description":"IDs of the fleets that use this template","readOnly":true},"name":{"type":"string","format":"","description":"The name of your utility deployment template"},"inUse":{"type":"integer","format":"integer","description":"Indicates whether this utility deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true},"utilityDeploymentTemplateBuild":{"type":"array","items":{"$ref":"#/components/schemas/UtilityDeploymentTemplateBuild"},"description":"A List of utility deployment template build's"}},"additionalProperties":false},"UtilityDeploymentTemplateBuild":{"type":"object","required":["applicationBuildId"],"properties":{"applicationBuildId":{"type":"string","format":"","description":"The Application Build ID"},"deployOn":{"type":"integer","format":"integer","description":"Indicates on which host types to install the utilities on:\n1) bare metal,\n2) VM,\n3) both (default value when not specified)"},"installsPerLocation":{"type":"integer","format":"integer","description":"If > 0, limit the amount of deploys on hosts to this figure, for each active dcLocation.\nSo if this value is 2, this utility will only be deployed on two hosts per dcLocation. If 0 (default value when not specified), it will be deployed on every host in use."}},"additionalProperties":false},"DependencyDeploymentTemplate":{"type":"object","required":["id","name","dependencyInstallerBuildId","dependencyUninstallerBuildId","fleetIds","inUse","createdAt"],"properties":{"id":{"type":"string","format":"","description":"dependency Deployment template ID","readOnly":true},"name":{"type":"string","format":"","description":"Name of the dependency deployment template"},"dependencyInstallerBuildId":{"type":"string","format":"","description":"Dependency installer build ID"},"dependencyUninstallerBuildId":{"type":"string","format":"","description":"Dependency uninstaller build ID"},"fleetIds":{"type":"array","items":{"type":"string","format":""},"description":"IDs of the fleets that use this template","readOnly":true},"inUse":{"type":"integer","format":"integer","description":"Indicates whether this dependency deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationBuild/{applicationBuildId}/deploymentTemplate":{"get":{"tags":["ApplicationBuild"],"summary":"Get a list of deployment templates for a given application build Id","operationId":"getApplicationBuildDeploymentTemplates","parameters":[{"name":"applicationBuildId","in":"path","description":"The ID of the application build","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/GameDeploymentTemplate"},{"$ref":"#/components/schemas/UtilityDeploymentTemplate"},{"$ref":"#/components/schemas/DependencyDeploymentTemplate"}]}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid applicationBuildId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/applicationBuild/{applicationBuildId}/property

> Get all the properties for the given applicationBuildId

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationBuild","description":"All application build endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationBuildProperty":{"type":"object","required":["id","propertyType","propertyKey","propertyValue"],"properties":{"id":{"type":"string","format":"","description":"The application build property ID","readOnly":true},"propertyType":{"type":"integer","format":"integer","description":"The application build property type. For a list of application property types see\n[`GET /v3/application/property/type`](#/Application/get_v3_application_property_type)","readOnly":true},"propertyKey":{"type":"string","format":"","description":"The application build property key. Only hyphens (-), underscores (_), lowercase characters and numbers are allowed.\nKeys must start with a lowercase character","readOnly":true},"propertyValue":{"type":"string","format":"","description":"The application build property value"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationBuild/{applicationBuildId}/property":{"get":{"tags":["ApplicationBuild"],"summary":"Get all the properties for the given applicationBuildId","operationId":"getApplicationBuildProperties","parameters":[{"name":"applicationBuildId","in":"path","description":"The Id of the application build","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationBuildProperty"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid applicationBuildId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/applicationBuild/{applicationBuildId}/property/{propertyId}

> Get given property for the given application build Id

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationBuild","description":"All application build endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationBuildProperty":{"type":"object","required":["id","propertyType","propertyKey","propertyValue"],"properties":{"id":{"type":"string","format":"","description":"The application build property ID","readOnly":true},"propertyType":{"type":"integer","format":"integer","description":"The application build property type. For a list of application property types see\n[`GET /v3/application/property/type`](#/Application/get_v3_application_property_type)","readOnly":true},"propertyKey":{"type":"string","format":"","description":"The application build property key. Only hyphens (-), underscores (_), lowercase characters and numbers are allowed.\nKeys must start with a lowercase character","readOnly":true},"propertyValue":{"type":"string","format":"","description":"The application build property value"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationBuild/{applicationBuildId}/property/{propertyId}":{"get":{"tags":["ApplicationBuild"],"summary":"Get given property for the given application build Id","operationId":"getApplicationBuildProperty","parameters":[{"name":"applicationBuildId","in":"path","description":"The Id of the application build","required":true,"schema":{"type":"string"}},{"name":"propertyId","in":"path","description":"The Id of the application build property","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationBuildProperty"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid applicationBuildId or propertyId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/applicationBuild/{applicationBuildId}/property/{propertyId}

> Update given property for given application build

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationBuild","description":"All application build endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationBuildProperty":{"type":"object","required":["id","propertyType","propertyKey","propertyValue"],"properties":{"id":{"type":"string","format":"","description":"The application build property ID","readOnly":true},"propertyType":{"type":"integer","format":"integer","description":"The application build property type. For a list of application property types see\n[`GET /v3/application/property/type`](#/Application/get_v3_application_property_type)","readOnly":true},"propertyKey":{"type":"string","format":"","description":"The application build property key. Only hyphens (-), underscores (_), lowercase characters and numbers are allowed.\nKeys must start with a lowercase character","readOnly":true},"propertyValue":{"type":"string","format":"","description":"The application build property value"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationBuild/{applicationBuildId}/property/{propertyId}":{"put":{"tags":["ApplicationBuild"],"summary":"Update given property for given application build","operationId":"updateApplicationBuildProperty","parameters":[{"name":"applicationBuildId","in":"path","description":"The Id of the application build","required":true,"schema":{"type":"string"}},{"name":"propertyId","in":"path","description":"The Id of the application build property to update","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApplicationBuildProperty"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationBuildProperty"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid applicationBuildId or propertyId"},"409":{"description":"Network port is already in use by another network port property"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/applicationBuild/{applicationBuildId}/configuration

> Get all configurations for the given applicationBuildId

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationBuild","description":"All application build endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationBuildConfiguration":{"type":"object","required":["id","configPath","configName","configContent","createdAt"],"properties":{"id":{"type":"string","format":"","description":"Application build configuration ID","readOnly":true},"configPath":{"type":"string","format":"","description":"Configuration file path"},"configName":{"type":"string","format":"","description":"Configuration file name"},"configContent":{"type":"string","format":"","description":"Configuration file contents"},"createdAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationBuild/{applicationBuildId}/configuration":{"get":{"tags":["ApplicationBuild"],"summary":"Get all configurations for the given applicationBuildId","operationId":"getApplicationBuildConfigurations","parameters":[{"name":"applicationBuildId","in":"path","description":"The Id of the application build","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationBuildConfiguration"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid applicationBuildId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/applicationBuild/{applicationBuildId}/configuration

> Create a new configuration for the given applicationBuildId

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationBuild","description":"All application build endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationBuildConfiguration":{"type":"object","required":["id","configPath","configName","configContent","createdAt"],"properties":{"id":{"type":"string","format":"","description":"Application build configuration ID","readOnly":true},"configPath":{"type":"string","format":"","description":"Configuration file path"},"configName":{"type":"string","format":"","description":"Configuration file name"},"configContent":{"type":"string","format":"","description":"Configuration file contents"},"createdAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationBuild/{applicationBuildId}/configuration":{"post":{"tags":["ApplicationBuild"],"summary":"Create a new configuration for the given applicationBuildId","operationId":"createApplicationBuildConfiguration","parameters":[{"name":"applicationBuildId","in":"path","description":"The Id of the application build","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApplicationBuildConfiguration"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationBuildConfiguration"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid applicationBuildId"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/applicationBuild/{applicationBuildId}/configuration/{applicationBuildConfigurationId}

> Get a specific application build configuration

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationBuild","description":"All application build endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationBuildConfiguration":{"type":"object","required":["id","configPath","configName","configContent","createdAt"],"properties":{"id":{"type":"string","format":"","description":"Application build configuration ID","readOnly":true},"configPath":{"type":"string","format":"","description":"Configuration file path"},"configName":{"type":"string","format":"","description":"Configuration file name"},"configContent":{"type":"string","format":"","description":"Configuration file contents"},"createdAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationBuild/{applicationBuildId}/configuration/{applicationBuildConfigurationId}":{"get":{"tags":["ApplicationBuild"],"summary":"Get a specific application build configuration","operationId":"getApplicationBuildConfiguration","parameters":[{"name":"applicationBuildId","in":"path","description":"The Id of the application build","required":true,"schema":{"type":"string"}},{"name":"applicationBuildConfigurationId","in":"path","description":"The Id of the specific configuration","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationBuildConfiguration"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid applicationBuildId or applicationBuildConfigurationId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/applicationBuild/{applicationBuildId}/configuration/{applicationBuildConfigurationId}

> Update an existing configuration for given applicationBuildId

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationBuild","description":"All application build endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationBuildConfiguration":{"type":"object","required":["id","configPath","configName","configContent","createdAt"],"properties":{"id":{"type":"string","format":"","description":"Application build configuration ID","readOnly":true},"configPath":{"type":"string","format":"","description":"Configuration file path"},"configName":{"type":"string","format":"","description":"Configuration file name"},"configContent":{"type":"string","format":"","description":"Configuration file contents"},"createdAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationBuild/{applicationBuildId}/configuration/{applicationBuildConfigurationId}":{"put":{"tags":["ApplicationBuild"],"summary":"Update an existing configuration for given applicationBuildId","operationId":"updateApplicationBuildConfiguration","parameters":[{"name":"applicationBuildId","in":"path","description":"The Id of the application build","required":true,"schema":{"type":"string"}},{"name":"applicationBuildConfigurationId","in":"path","description":"The Id of the specific configuration","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApplicationBuildConfiguration"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationBuildConfiguration"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid applicationBuildId or applicationBuildConfigurationId"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /v3/applicationBuild/{applicationBuildId}/configuration/{applicationBuildConfigurationId}

> Delete given configuration from given applicationBuildId

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationBuild","description":"All application build endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationBuild/{applicationBuildId}/configuration/{applicationBuildConfigurationId}":{"delete":{"tags":["ApplicationBuild"],"summary":"Delete given configuration from given applicationBuildId","operationId":"deleteApplicationBuildConfiguration","parameters":[{"name":"applicationBuildId","in":"path","description":"The Id of the application build","required":true,"schema":{"type":"string"}},{"name":"applicationBuildConfigurationId","in":"path","description":"The Id of the specific configuration","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid applicationBuildId or applicationBuildConfigurationId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/game/applicationbuild-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
